Directly Sets Boost Query Parameter (bq)

- « SolrDisMaxQuery::setBoostFunction

- SolrDisMaxQuery::setMinimumMatch »

- PHP Manual
- SolrDisMaxQuery
- Directly Sets Boost Query Parameter (bq)

# SolrDisMaxQuery::setBoostQuery

(No version information available, might only be in Git)

SolrDisMaxQuery::setBoostQuery — Directly Sets Boost Query Parameter (bq)

### Description

public SolrDisMaxQuery::setBoostQuery(string `$q`): SolrDisMaxQuery

Sets Boost Query Parameter (bq)

### Parameters

`q`

  query

### Return Values

SolrDisMaxQuery

### Examples

Example #1 SolrDisMaxQuery::setBoostQuery() example

    <?php
    $dismaxQuery = new SolrDisMaxQuery("lucene");

    $dismaxQuery->setBoostQuery('cat:electronics manu:local^2');
    echo $dismaxQuery.PHP_EOL;
    ?>

The above example will output something similar to:

    q=lucene&defType=edismax&bq=cat:electronics manu:local^2

### See Also

- SolrDisMaxQuery::addBoostQuery() - Adds a boost query field with value and optional boost (bq parameter)
- SolrDisMaxQuery::removeBoostQuery() - Removes a boost query partial by field name (bq)